Skip to main content
Resource Center/Hardware/Primary Storage Operations/Local Storage Operations
GETLocal Storage OperationsSince 0.6SynchronousAuth Required

GetLocalStorageHostDiskCapacity

GetLocalStorageHostDiskCapacity

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • primaryStorageUuidStringRequired

    The local storage UUID.

Query Parameters

  • hostUuidString

    Optional. The host UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The short description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • hostUuidStringRequired

      The host UUID.

    • totalCapacitylongRequired

      总容量。

    • availableCapacitylongRequired

      可用容量。

    • totalPhysicalCapacitylongRequired

      总物理容量。

    • availablePhysicalCapacitylongRequired

      可用物理容量。

Endpoint

GET/zstack/v1/primary-storage/local-storage/{primaryStorageUuid}/capacities

/zstack/v1/primary-storage/local-storage/{primaryStorageUuid}/capacities

Operation ID

GetLocalStorageHostDiskCapacity

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/primary-storage/local-storage/{primaryStorageUuid}/capacities?hostUuid=<hostUuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "hostUuid": "02b36a53204d496290c4f2f8b31a7575", "totalCapacity": 1.073741824E9, "availableCapacity": 9.73078528E8, "totalPhysicalCapacity": 1.073741824E9, "availablePhysicalCapacity": 9.73078528E8 } ] }

Change History

This API has no change history records yet.

View all change history